from celery import Celery
from flask import Flask

celery = Celery()


def init_app(app: Flask) -> Flask:
    if app.config.get('BROKER_URL'):
        celery.conf.from_object(app.config)
    return app
